<?php
/* ==================================================================
 *  custom-post-admin.php
 *  Function(s) that help with the admin side of custom posts 
 * ------------------------------------------------------------------
 *  author: Gabriel Nagmay <gabirel@nagmay.com>
 *  created: 	2010-09-09 	
 *  updated: 	2010-10-27 	Custom Posts and Taxonomies now controlled using "Custom Post Type UI" plugin.
 *							However, there are still meta and menu items that need to be controlled here. 
 *											
 * ================================================================== */
    

/* === Adds Custom META pannel "User Information" to pcc_map === */
add_action("admin_init", "create_pcc_map_meta");
add_action("save_post", "save_pcc_map_meta");

// define new custom meta (name, initial value, label title, description, tab index)
$custom_pcc_map_meta = array( 	"meta01" => array( "name" => "location-text", "value" => "", "title" => "Location Text", "tab" =>"3000"),
					 			"meta02" => array( "name" => "location-lat", "value" => "", "title" => "Location Lat", "tab" =>"3001"),
								"meta06" => array( "name" => "location-lng", "value" => "", "title" => "Location Lng", "tab" =>"3005"),
					 			"meta03" => array( "name" => "user-email", "value" => "", "title" => "User Email", "tab" =>"3002"),
					 			"meta04" => array( "name" => "user-name", "value" => "", "title" => "User Name", "tab" =>"3003"),
					 			"meta05" => array( "name" => "video-url", "value" => "", "title" => "Video URL", "tab" =>"3004")
);
function create_pcc_map_meta(){
	add_meta_box("user-meta", "Map and User Information", "map_meta_box", "pcc_map", "normal", "high");
}
function map_meta_box(){
	global $post, $custom_pcc_map_meta;
	$tab_index = 1000;
	foreach($custom_pcc_map_meta as &$meta){
		// is there a recorded value
		$meta_value = get_post_meta($post->ID, $meta['name'], true);
		if($meta_value != "") $meta['value'] = $meta_value;
		// set tab index
		if($meta[tab] == "") $meta['tab'] = $tab_index;
		$tab_index++;
	}
	
	// Create inputs
	echo'<p><strong>Location Information:</strong></p>';
	echo'<input type="hidden" name="'.$custom_pcc_map_meta['meta01']['name'].'_noncename" id="'.$custom_pcc_map_meta['meta01']['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';
	echo'<p><label style="color:#777; width:100px; display:block; float:left; clear:left;" for="'.$custom_pcc_map_meta['meta01']['name'].'">'.$custom_pcc_map_meta['meta01']['title'].':</label>';
	echo'<input type="text" name="'.$custom_pcc_map_meta['meta01']['name'].'" value="'.$custom_pcc_map_meta['meta01']['value'].'" style="width:75%;" tabindex="'.$ustom_meta['meta01']['tab'].'" /></p>';
	
	echo'<input type="hidden" name="'.$custom_pcc_map_meta['meta02']['name'].'_noncename" id="'.$custom_pcc_map_meta['meta02']['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';
	echo'<p><label style="color:#777; width:100px; display:block; float:left; clear:left;" for="'.$custom_pcc_map_meta['meta02']['name'].'">'.$custom_pcc_map_meta['meta02']['title'].':</label>';
	echo'<input type="text" name="'.$custom_pcc_map_meta['meta02']['name'].'" value="'.$custom_pcc_map_meta['meta02']['value'].'" style="width:40%;" tabindex="'.$ustom_meta['meta02']['tab'].'" /></p>';
	
	echo'<input type="hidden" name="'.$custom_pcc_map_meta['meta06']['name'].'_noncename" id="'.$custom_pcc_map_meta['meta06']['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';
	echo'<p><label style="color:#777; width:100px; display:block; float:left; clear:left;" for="'.$custom_pcc_map_meta['meta06']['name'].'">'.$custom_pcc_map_meta['meta06']['title'].':</label>';
	echo'<input type="text" name="'.$custom_pcc_map_meta['meta06']['name'].'" value="'.$custom_pcc_map_meta['meta06']['value'].'" style="width:40%;" tabindex="'.$ustom_meta['meta06']['tab'].'" /></p>';
	
	echo'<p><strong>User Information:</strong></p>';
	echo'<input type="hidden" name="'.$custom_pcc_map_meta['meta03']['name'].'_noncename" id="'.$custom_pcc_map_meta['meta03']['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';
	echo'<p><label style="color:#777; width:100px; display:block; float:left; clear:left;" for="'.$custom_pcc_map_meta['meta03']['name'].'">'.$custom_pcc_map_meta['meta03']['title'].':</label>';
	echo'<input type="text" name="'.$custom_pcc_map_meta['meta03']['name'].'" value="'.$custom_pcc_map_meta['meta03']['value'].'" style="width:75%;" tabindex="'.$ustom_meta['meta03']['tab'].'" /></p>';
	
	echo'<input type="hidden" name="'.$custom_pcc_map_meta['meta04']['name'].'_noncename" id="'.$custom_pcc_map_meta['meta04']['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';
	echo'<p><label style="color:#777; width:100px; display:block; float:left; clear:left;" for="'.$custom_pcc_map_meta['meta04']['name'].'">'.$custom_pcc_map_meta['meta04']['title'].':</label>';
	echo'<input type="text" name="'.$custom_pcc_map_meta['meta04']['name'].'" value="'.$custom_pcc_map_meta['meta04']['value'].'" style="width:40%;" tabindex="'.$ustom_meta['meta04']['tab'].'" /></p>';
	
	echo'<p><strong>Video and Audio?</strong></p>';
	echo'<input type="hidden" name="'.$custom_pcc_map_meta['meta05']['name'].'_noncename" id="'.$custom_pcc_map_meta['meta05']['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';
	echo'<p><label style="color:#777; width:100px; display:block; float:left; clear:left;" for="'.$custom_pcc_map_meta['meta05']['name'].'">'.$custom_pcc_map_meta['meta05']['title'].':</label>';
	echo'<input type="text" name="'.$custom_pcc_map_meta['meta05']['name'].'" value="'.$custom_pcc_map_meta['meta05']['value'].'" style="width:75%;" tabindex="'.$ustom_meta['meta05']['tab'].'" /></p>';
	
}
function save_pcc_map_meta( $post_id ){
	global $post, $custom_pcc_map_meta;
	
	foreach($custom_pcc_map_meta as $meta){
		// Verify
		if ( !wp_verify_nonce( $_POST[$meta['name'].'_noncename'], plugin_basename(__FILE__) )){
			return $post_id;
		}
		if ( 'page' == $_POST['post_type'] ){
			if ( !current_user_can( 'edit_page', $post_id )) return $post_id;
		}
		else{
			if ( !current_user_can( 'edit_post', $post_id )) return $post_id;
		}
		
		$data = trim($_POST[$meta['name']]); // trim any leading ws
		
		if(get_post_meta($post_id, $meta['name']) == "") add_post_meta($post_id, $meta['name'], $data, true);
		elseif($data == "") delete_post_meta($post_id, $meta['name'], get_post_meta($post_id, $meta['name'], true));
		elseif($data != get_post_meta($post_id, $meta['name'], true)) update_post_meta($post_id, $meta['name'], $data);
		
	}
}




/* === Adds Custom META pannel "User Information" to pcc_map === */
add_action("admin_init", "create_pcc_ideas_meta");
add_action("save_post", "save_pcc_ideas_meta");

// define new custom meta (name, initial value, label title, description, tab index)
$custom_pcc_ideas_meta = array( "meta03" => array( "name" => "user-email", "value" => "", "title" => "User Email", "tab" =>"3001"),
					 			"meta04" => array( "name" => "user-name", "value" => "", "title" => "User Name", "tab" =>"3002")
);
function create_pcc_ideas_meta(){
	add_meta_box("user-meta", "Map and User Information", "idea_meta_box", "pcc_ideas", "normal", "high");
}
function idea_meta_box(){
	global $post, $custom_pcc_ideas_meta;
	$tab_index = 1000;
	foreach($custom_pcc_ideas_meta as &$meta){
		// is there a recorded value
		$meta_value = get_post_meta($post->ID, $meta['name'], true);
		if($meta_value != "") $meta['value'] = $meta_value;
		// set tab index
		if($meta[tab] == "") $meta['tab'] = $tab_index;
		$tab_index++;
	}
	
	// Create inputs
	echo'<p><strong>User Information:</strong></p>';
	echo'<input type="hidden" name="'.$custom_pcc_ideas_meta['meta03']['name'].'_noncename" id="'.$custom_pcc_ideas_meta['meta03']['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';
	echo'<p><label style="color:#777; width:100px; display:block; float:left; clear:left;" for="'.$custom_pcc_ideas_meta['meta03']['name'].'">'.$custom_pcc_ideas_meta['meta03']['title'].':</label>';
	echo'<input type="text" name="'.$custom_pcc_ideas_meta['meta03']['name'].'" value="'.$custom_pcc_ideas_meta['meta03']['value'].'" style="width:75%;" tabindex="'.$ustom_meta['meta03']['tab'].'" /></p>';
	
	echo'<input type="hidden" name="'.$custom_pcc_ideas_meta['meta04']['name'].'_noncename" id="'.$custom_pcc_ideas_meta['meta04']['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';
	echo'<p><label style="color:#777; width:100px; display:block; float:left; clear:left;" for="'.$custom_pcc_ideas_meta['meta04']['name'].'">'.$custom_pcc_ideas_meta['meta04']['title'].':</label>';
	echo'<input type="text" name="'.$custom_pcc_ideas_meta['meta04']['name'].'" value="'.$custom_pcc_ideas_meta['meta04']['value'].'" style="width:40%;" tabindex="'.$ustom_meta['meta04']['tab'].'" /></p>';
	
}
function save_pcc_ideas_meta( $post_id ){
	global $post, $custom_pcc_ideas_meta;
	
	foreach($custom_pcc_ideas_meta as $meta){
		// Verify
		if ( !wp_verify_nonce( $_POST[$meta['name'].'_noncename'], plugin_basename(__FILE__) )){
			return $post_id;
		}
		if ( 'page' == $_POST['post_type'] ){
			if ( !current_user_can( 'edit_page', $post_id )) return $post_id;
		}
		else{
			if ( !current_user_can( 'edit_post', $post_id )) return $post_id;
		}
		
		$data = trim($_POST[$meta['name']]); // trim any leading ws
		
		if(get_post_meta($post_id, $meta['name']) == "") add_post_meta($post_id, $meta['name'], $data, true);
		elseif($data == "") delete_post_meta($post_id, $meta['name'], get_post_meta($post_id, $meta['name'], true));
		elseif($data != get_post_meta($post_id, $meta['name'], true)) update_post_meta($post_id, $meta['name'], $data);
		
	}
}






/* === Show these columns when editing post type: pcc_map  === */
add_filter("manage_edit-pcc_map_columns", "pcc_map_columns");

function pcc_map_columns($columns){
		$columns = array(
			"cb" => "<input type=\"checkbox\" />",
			"location" => "Location",
			"lat" => "Latitude",
			"lng" => "Longitude",
			"user" => "Author Email",
			"pcc_map_user" => "User Type",
			"id" => "ID"
		);

		return $columns;
}


/* === Show these columns when editing post type: pcc_ideas  === */
add_filter("manage_edit-pcc_ideas_columns", "pcc_ideas_columns");

function pcc_ideas_columns($columns){
		$columns = array(
			"cb" => "<input type=\"checkbox\" />",
			"blurb" => "Idea Blurb",
			"id" => "ID",
			"pcc_idea_category" => "Idea Category"
		);

		return $columns;
}


/* === Here we define what each custom edit column should do (all post types)  === */
add_action("manage_posts_custom_column",  "prod_custom_columns");

function prod_custom_columns($column){
		global $post;
		switch ($column){
			case "id":
				echo edit_post_link( $post->ID,'','',$post->ID);
				break;
			case "user":
				$custom = get_post_custom();
				echo $custom["user-email"][0];
				break;	
			case "location":
				echo "<strong>";
				$custom = get_post_custom();
				echo edit_post_link( $custom["location-text"][0],'','',$post->ID);
				$status = get_post_status($post->ID);
				if($status == "pending"){
					echo " - Pending";
				}
				echo "</strong>";
				break;
			case "lat":
				$custom = get_post_custom();
				echo $custom["location-lat"][0];
				break;
			case "lng":
				$custom = get_post_custom();
				echo $custom["location-lng"][0];
				break;
			case "pcc_map_user":
				$terms = get_the_terms( $post->ID , 'pcc_map_user' );
				if($terms){
					foreach( $terms as $term ) {
						echo $term->slug . ' ';
					}
				}
				break;
			case "pcc_idea_category":
				$terms = get_the_terms( $post->ID , 'pcc_idea_category' );
				if($terms){
					foreach( $terms as $term ) {
						echo $term->slug . ' ';
					}
				}
				break;
			case "blurb":
				$excerpt = get_the_excerpt();
				edit_post_link( substr($excerpt,0,80),'','',$post->ID);
				echo "...";
				break;
		}
}



?>
