$(document).ready(function(){
	setupHelp();
	setupAdd();
	setupScroll();
	$('.clear-default').clearDefault();
});

function setupHelp(){
	// change select  text
	$("#form-help-us #cat option").prepend("An idea about: ");
	
	//validate help plan form
	var default_name = $("#idea_name").val();
	var default_idea = $("#idea_content").val();
	
	$("#form-help-us").submit( function(){
		//alert(default_name);
		var e = "";
		if(!re.email.test( $("#idea_email").val()) ){
			e += "- Your valid email address\n";
		}
		if( $("#idea_content").val() == default_idea ){
			e += "- Your cool idea.\n";
		}
		
		// remove default name if ready to submit
		if( !e && $("#idea_name").val() == default_name ){
			$("#idea_name").val("");
		}

		
		if(e){
			alert ("Please enter:\n"+e);
			return false;
		}
	});
}

function setupAdd(){
	/* open */
	$("#add-small").click(function(){
		$("#add-overlay").fadeIn();
	});
	
	/* close */
	$("#add-overlay").click(function(event){
		
		if($(event.target).parents().index($("#add-container")) == -1) { // not on container
			$(this).fadeOut();
		}
	});
	
	/* form validation */
	var default_content = $("#post_content").val();
	var default_user = $("#post_name").val();
	$("#form-add").submit( function(){
		var e = "";
		if( !$("#post_location").val() ){
			e += "- Your address, or hometown\n";
		}	
		if( $("#post_content").val() == default_content ){
			e += "- Your story. This is the most important part!\n";
		}
		if(!re.email.test( $("#post_email").val()) ){
			e += "- Your valid email address (this will not be posted)\n";
		}
		
		// remove default name if ready to submit
		if( !e && $("#post_name").val() == default_user ){
			$("#post_name").val("");
		}

	
		if(e){
			alert ("Please enter:\n"+e);
			return false;
		}
	});
	
	/* select color */
	$("#cat").focus( function(){
		$(this).css("color","#000");	
	});
	
	/* get location */
	geocoder = new google.maps.Geocoder();
	$("#location").change(function(){
		
		$("#location-text").html("Looking...").removeClass("found error");
	    var address = $(this).val();
		geocoder.geocode( { 'address': address}, function(results, status) { // get latlong
		  if (status == google.maps.GeocoderStatus.OK) {
			  
			  var latlng = results[0].geometry.location;
			  
			  geocoder.geocode({'latLng': latlng}, function(results, status) {	// get address from latlng
      			if (status == google.maps.GeocoderStatus.OK) {
					//$("#location-text").addClass("found").attr("title",results[0].formatted_address).html(results[0].address_components[0].types[0]); //html(results[0].address_components[2].short_name + ", " + results[0].address_components[5].short_name); // show result results[0].formatted_address
					var result = results[0];
					var resultString = "";
					for(var i=0;i<result.address_components.length; i++){
						for(var j=0;j<result.address_components[i].types.length; j++){
							switch(result.address_components[i].types[j]){
								case "locality":
									resultString += result.address_components[i].short_name;
									break;
								case "administrative_area_level_1":
									resultString += ", " + result.address_components[i].short_name;
									break;
								case "country":
									resultString += " (" + result.address_components[i].short_name + ")";
									break;
							}
						}	
					}
					
					// update text
					$("#location-text").addClass("found").attr("title",results[0].formatted_address + " (" + latlng+")").html(resultString); //html(results[0].address_components[2].short_name + ", " + results[0].address_components[5].short_name); // show result results[0].formatted_address
					// update form
					$("#post_location").attr("value",resultString); //results[0].formatted_address);
					$("#post_latlng").attr("value",latlng);
				
				
				}
				else{
					// update text
					$("#location-text").addClass("found").html("Found: " + latlng); // no text, use latlng
					// update form
					$("#post_location").attr("value",latlng);
					$("#post_latlng").attr("value",latlng);
				}
			  });

			
		  } else {
			  // update text
			  $("#location-text").addClass("error").html("Location Not Found"); // + status
			  // update form
			  $("#post_location").attr("value",'');
			$("#post_latlng").attr("value",'');
		  }
		});

	});
	
	
	
	
	
}



function setupScroll(){
	/* the trick is to have a duplicate number of p elements */
	var num = $("#quote-scroll p").length;  // get number of items (divide by 2)
	$("#quote-scroll").css("width",num*300);	// set width
	/* $("#quote-scroll p:first").css("color","#ff0000"); /* uncomment to see trick */
	startScroll(num*300);
	$("#quote-scroll").hover(
  		function () {
    		$(this).pauseAnimation()
  		}, function () {
    		$(this).resumeAnimation()
  	});
	
}
function startScroll(width){
	$("#quote-scroll").css("left","0");
	$("#quote-scroll").startAnimation({left: -width/2}, 20*width, "linear",function(){ startScroll(width); } );
}

// Usage: $('input.clear-default').clearDefault();
(function($){
	$.fn.clearDefault = function(){
		return this.each(function(){
			var default_value = $(this).val();
			var default_color = $(this).css("color");
			$(this).focus(function(){
				if ($(this).val() == default_value) $(this).val("").css("color","#000");
			});
			$(this).blur(function(){
				if ($(this).val() == "") $(this).val(default_value).css("color",default_color);;
			});
		});
	};
})(jQuery);




/*
jQuery plugin : pause resume animation
Created by Joe Weitzel
BOX Creative LLC
http://plugins.jquery.com/project/Pause-Resume-animation
*/
jQuery.fn.startAnimation = function(  params, duration, easing, callback ) {
	jQuery(this).animate( params, duration, easing, callback );
	var data = { target:this.get(0), params: params, duration: duration, easing: easing, callback: callback,
				startTime: new Date().getTime(), timePlayed: 0, timeRemaining: 0 };
	if( !jQuery.pauseableAnimations ) {
		jQuery.extend({ pauseableAnimations: new Array( data ) });
	} else {
		for( var i in jQuery.pauseableAnimations ) {
			if( jQuery.pauseableAnimations[i].target == this.get(0) ) {
				jQuery.pauseableAnimations[i] = data;
			} else {
				jQuery.pauseableAnimations.push( data );
			};
		};
	};
};
jQuery.fn.pauseAnimation = function() {
	if( jQuery.pauseableAnimations ) {
		for(var i in jQuery.pauseableAnimations ) {
			if( jQuery.pauseableAnimations[i].target == this.get(0) ) {
				jQuery(this).stop();
				var now = new Date().getTime();
				var data = jQuery.pauseableAnimations[i];
				data.timePlayed += ( now - data.startTime );
				data.timeRemaining = data.duration - data.timePlayed;
				if( data.timePlayed > data.duration ) {
					var newArray = new Array();
					for( var p in jQuery.pauseableAnimations ) {
						if( jQuery.pauseableAnimations[p] != data ) newArray.push( jQuery.pauseableAnimations[p] );
					};
					jQuery.pauseableAnimations = newArray.length > 0 ? newArray : null;
					delete newArray;
					return this;
				};
				break;
			};
		};
	};
	return this;
};
jQuery.fn.resumeAnimation = function() {
	if( jQuery.pauseableAnimations ) {
		for(var i in jQuery.pauseableAnimations ) {
			var data = jQuery.pauseableAnimations[i];
			if( data.target == this.get(0) ) {
				this.animate( data.params, data.timeRemaining, data.easing, data.callback );
				data.startTime = new Date().getTime();
				return this;
			};
		};
	};
};

