<?php /* Template Name: index */ ?>
<?php get_header(); ?>
<!-- BEGIN WP SINGLE -->

<script type="text/javascript">/* <![CDATA[ */


/* global map class */
var ThisMap = {
  map: null,
  infoWindow: null
};
  
/* set up map */
$(document).ready(function(){
	// Create single instance of a Google Map.
	var latlng = new google.maps.LatLng(45.49002,-122.62707);
	ThisMap.map = new google.maps.Map(document.getElementById('map-canvas'), {
		  zoom: 10, 
		  center: latlng,
		  navigationControl: true,
		  scaleControl: false,
		  mapTypeControl: false,
		  mapTypeId: google.maps.MapTypeId.ROADMAP
	});
	
	// Create a single instance of the InfoWindow object which will be shared by all Map objects to display information to the user.
	ThisMap.infoWindow = new google.maps.InfoWindow();
	
	// Make the info window close when clicking anywhere on the map.
	google.maps.event.addListener(ThisMap.map, 'click', ThisMap.closeInfoWindow);
	

	// Data for the markers [z-index, lat, lng, title, content] 
	markerArray = [
	<?php
		$locationArray =  array();
		$quotes = "";
		$markerZ = 100;
		query_posts(array('post_type'=>'pcc_map','showposts'=>50,'post_status' => 'publish','meta_key'=>'location-lat','orderby'=>'location-lat','order'=>'DESC' )); /* grab all published mapposts */ 
		while (have_posts()) : the_post(); 
			$id = $post->ID;
			$excerpt = get_the_excerpt();
			$lat = get_post_meta($id, 'location-lat', true);
			$lng = get_post_meta($id, 'location-lng', true);
			$user = get_post_meta($id, 'user-name', true);
			
			if($user){ $user = "<strong>$user says:</strong>"; }
			else{ $user = "<strong>Anonymous says:</strong>";}
			// set up array
			array_push($locationArray,"\n[$markerZ, $lat, $lng,'mark-$id', '$user<br />$excerpt <a href=\"".get_permalink()."\"><br />Read more &raquo;&raquo;<a>']");	
			//set up quotes
			$quotes = "$quotes \n <p><a href=\"".get_permalink()."\"> $user &quot;" . substr($excerpt,0,90) ."...&quot;</a></p>";
			$markerZ = $markerZ+1;
		endwhile;
		
		echo implode(",", $locationArray); 
	?>
	];
	
	// Start adding markers
	setMarkers();
}); 


/* Set up the markers */	
function setMarkers() {
	/* for (var i = 0; i < locations.length; i++) {*/
  if(markerArray.length > 0){
	
    var marker = markerArray.pop();
    var latlng = new google.maps.LatLng(marker[1],marker[2]);
	var thisMark = new google.maps.Marker({
		position: latlng, 
		map: ThisMap.map,
		zIndex: marker[0],
		title:marker[3],
		html: marker[4],
		icon: '<?php bloginfo('template_directory'); ?>/images/marker.png',
		shadow: '<?php bloginfo('template_directory'); ?>/images/marker-shadow.png'
	});  

	google.maps.event.addListener(thisMark, 'click', function() {
        ThisMap.openInfoWindow(thisMark);
	});
	
	// and on to the next
	setTimeout("setMarkers();",100);
  }
}

/* Called when clicking anywhere on the map and closes the info window */
ThisMap.closeInfoWindow = function() {
  ThisMap.infoWindow.close();
};

/* Opens the shared info window, anchors it to the specified marker, and displays the marker's position as its content. */
ThisMap.openInfoWindow = function(marker) {
  var markerLatLng = marker.getPosition();
  ThisMap.infoWindow.setContent(marker.html);
  ThisMap.infoWindow.open(ThisMap.map, marker);
};


/* ]]> */</script>

<!-- PAGE CONTENT -->

<div id="content" class="map-page"> <a name="pagecontent" id="pagecontent" ></a> 
  <!-- SECTION TITLE -->
  <div id="stitle">
    <p id="dirnav" class="hide"></p>
    <h2><img src="<?php bloginfo('template_directory'); ?>/images/title-how-has.png" width="870" height="50" alt="How has PCC touched your life?" /></h2>
    
    <!-- map and add -->
    <div id="map-container">
      <div id="map-canvas" style="width:596px; height:264px;"></div>
      <div id="map-count">
        <p>
          <?php  echo wp_count_posts('pcc_map')->publish;?>
          stories and counting!</p>
      </div>
      <div id="share">
        <h4><img src="<?php bloginfo('template_directory'); ?>/images/title-share-your.png" alt="Share Your Story!" /></h4>
        <p>To prepare for PCC's upcoming 50th anniversary, we're looking for stories from students, alumni, parents, staff, business owners, and community members – anyone who has been positively affected by Portland Community College.</p>
      </div>
      <img src="<?php bloginfo('template_directory'); ?>/images/add-small.png" alt="Add Your Mark" width="270" height="125" id="add-small" /> </div>
    
    <!-- quote scroll -->
    <div id="quote-scroll-container">
      <div id="quote-scroll">
        <?php
			  
			  /* repeat */
			  echo "$quotes \n $quotes";
			  
          ?>
      </div>
      <div id="scroll-fade-left">&nbsp;</div>
      <div id="scroll-fade-right">&nbsp;</div>
    </div>
  </div>
  <!-- MAIN TEXT -->
  <div id="main">
    <h3><img src="<?php bloginfo('template_directory'); ?>/images/photo-get-ready.jpg" alt="Photo of student working hard" width="250" height="146" class="imgright" /><img src="<?php bloginfo('template_directory'); ?>/images/title-get-ready.png" width="575" height="30" alt="Get Ready for the 50th Celebration" /></h3>
    <p>Beginning in fall 2011, Portland Community College will be celebrating 50 years of service to our community. </p>
    <p>As this important milestone approaches, we are taking the time to reflect on where the college has been over the last 50 years, where we are now, and where we're headed.</p>
    <p>For the next year, you will have the opportunity to participate in planning the 50th anniversary by sharing your stories of PCC, voting on ideas and providing feedback on the work being done by the 50th Anniversary Planning Committee. </p>
    <h4 class="clear"><img src="<?php bloginfo('template_directory'); ?>/images/title-help-us-plan.png" width="248" height="31" alt="Help us plan the celebration" /></h4>
    <p>After you submit your PCC Story above, we would also like to get your ideas for how to celebrate this occasion. Send us your great ideas.</p>
    <div id="ideas">
      <div id="ideasform">
        <form id="form-help-us" action="<?php echo get_bloginfo('url').'/submit-idea/'; ?>" method="post">
          <fieldset>
            <legend>Form</legend>
            <input name="idea_name" id="idea_name" type="text" class="required clear-default" title="your name" value="Your Name" />
            <input name="idea_email" id="idea_email" type="text" class="required clear-default" title="your email" value="Your Email (only used if we have questions)" />
            <?php wp_dropdown_categories('taxonomy=pcc_idea_category&hide_empty=0&orderby=description'); ?>
            <textarea id="idea_content" name="idea_content" title="Your idea" rows="5" cols="100" class="clear-default">Tell us your idea for the celebration...</textarea>
            <input type="submit" id="submit_idea" class="submit" value="Submit this idea" />
            <?php wp_nonce_field( 'idea-request' ); ?>
          </fieldset>
        </form>
      </div>
      <div id="ideas-recent">
        <h4 class="clear">Most Discussed Ideas</h4>
        <ul class="ideas-list">
          <?php
            query_posts(array('post_type'=>'pcc_ideas','showposts'=>8,'post_status' => 'publish','orderby'=>'comment_count' )); /* grab ideas */ 
            while (have_posts()) : the_post(); 
                $id = $post->ID;
				$excerpt = get_the_excerpt();
				if( strlen($excerpt) > 60 ){
					$excerpt = substr($excerpt,0,60)."...";
				}
				echo "<li><a href=\"".get_permalink()."\">$excerpt ";
				comments_number('', ' (1)', ' (%)');
				echo "</a></li>";
            endwhile;
        ?>
        <li><a href="<?php bloginfo('url'); ?>/idea-category/">View all <?php echo wp_count_posts('pcc_ideas')->publish; ?> ideas &raquo;&raquo;</a></li>
        </ul>
      </div>
    </div>
    <h4 class="clear"><img src="<?php bloginfo('template_directory'); ?>/images/title-whats-next.png" width="220" height="41" alt="What is coming up next?" /></h4>
    <p>Learn more about upcoming events and getting involved by reading the <a href="/blog/">planning committee blog</a>: </p>
    
    <!-- blog posts -->
    <?php 
	 
			query_posts(array('post_type'=>'post','showposts'=>5,'post_status' => 'publish')); /* grab all published mapposts */ 
			while (have_posts()) : the_post(); 
				$title 	= get_the_title();
				$excerpt = get_the_excerpt();
		?>
    <div class="post-list" id="post-<?php the_ID(); ?>">
      <h5><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>">
        <?php if ( function_exists( 'get_the_image' ) ) { get_the_image( array( 'custom_key'=>array('imgleft'), 'size'=>'thumbnail','link_to_post' => false )); } ?>
        <?php echo $title; ?></a></h5>
      <p>
        <?php the_time('l, F jS, Y') ?>
      </p>
      <p><?php echo $excerpt; ?> <a href="<?php the_permalink(); ?>">Read More</a> |
        <?php comments_popup_link('Add a Comment', '1 Comment', '% Comments','',''); ?>
        <?php edit_post_link('Edit', ' | ', ''); ?>
      </p>
    </div>
    <?php endwhile; ?>
  </div>
</div>

<!-- hidden overlay -->
<div id="add-overlay">
  <div id="add-container"><img src="<?php bloginfo('template_directory'); ?>/images/title-add.png" alt="Add Your Story!" />
    <form id="form-add" action="<?php echo get_bloginfo('url').'/submit/'; ?>" method="post">
      <fieldset>
        <legend>Form</legend>
        <input name="location" id="location" type="text" class="required clear-default" title="My address, or hometown" value="My address, or hometown" />
        <input name="post_name" id="post_name" type="text" class="clear-default" title="My name (Optional)" value="My name (Optional)" />
        <?php wp_dropdown_categories('taxonomy=pcc_map_user&hide_empty=0&orderby=description'); ?>
        <textarea  id="post_content" name="content" title="content" rows="5" cols="100" class="clear-default">Here is how PCC has positively affected my life...</textarea>
        <input name="post_email" id="post_email" type="text" class="required clear-default" title="your email" value="My Email (required, but will not be posted)" />
        <input type="submit" id="action" name="action" class="submit" value="Submit my story!" />
        <input type="hidden" name="post_location" id="post_location" value="" />
        <input type="hidden" name="post_latlng" id="post_latlng" value="" />
        <?php wp_nonce_field( 'map-request' ); ?>
      </fieldset>
    </form>
    <div id="location-text"></div>
  </div>
</div>

<!-- END WP SINGLE -->
<?php get_footer(); ?>
