<?php if (have_posts()) : while (have_posts()) : the_post(); ?> 

<?php  // get custom
		$postID = $post->ID;
    	$custom = get_post_custom($postID);
		$location = $custom["location-text"][0]; 
     	$lat = $custom["location-lat"][0];
		$lng = $custom["location-lng"][0];
     	$user = $custom["user-name"][0];
     	if($user==""){ $user = "Anonymous"; }
		
		// get type (remove "I am")
		$post_categories = wp_get_post_terms($postID, 'pcc_map_user');
		$cats = array();
		
		foreach($post_categories as $c){
			$cat = get_category( $c );
			$cats[] = array( 'name' => $cat->name, 'slug' => $cat->slug );
		}
		$typeslug = $cats[0]['slug'];// Just use first;
		switch($typeslug){
			case "student": $type ="a current student";	$moretype ="current students"; break; 
			case "staff": 	$type ="a faculty/staff member"; $moretype ="faculty/staff"; break; 
			case "alumni": 	$type ="a past student"; $moretype ="past students"; break; 
			case "parent": 	$type ="parent/relative of a student"; $moretype ="parents and relatives"; break; 
			case "class": 	$type ="taken a class or two"; $moretype ="people who have taken a class or two"; break; 
			case "love":	$type ="with love for Portland Community College";  $moretype ="people who love PCC"; break; 
			case "retiree": $type ="used to work at PCC"; $moretype ="people who used to work at PCC"; break; 	
		}
?> 
     

<?php get_header(); ?>            
 
<!-- BEGIN WP SINGLE -->	  


<script type="text/javascript">/* <![CDATA[ */
/* map */
$(document).ready(function(){
	var latlng = new google.maps.LatLng(<?php echo $lat.",".$lng; ?>);
	var myOptions = {
		zoom: 10,
		center: latlng,
		navigationControl: true,
		scaleControl: false,
		mapTypeControl: false,
		mapTypeId: google.maps.MapTypeId.ROADMAP
	};
	
	
/**
* Data for the markers 
* [z-index, lat, lng, title, content]
*/
var markers = [
	<?php echo "[$postID, $lat, $lng,'mark-$postID', '$location']";	?>
	];
	
	var map = new google.maps.Map(document.getElementById("map-canvas"), myOptions);
	setMarkers(map, markers);
	
}); 

function setMarkers(map, locations) {
  for (var i = 0; i < locations.length; i++) {
    var marker = locations[i];
    var latlng = new google.maps.LatLng(marker[1],marker[2]);
	var thisMark = new google.maps.Marker({
		position: latlng, 
		map: map,
		zIndex: marker[0],
		title:marker[3],
		html: marker[4],
		icon: '<?php bloginfo('template_directory'); ?>/images/marker.png',
		shadow: '<?php bloginfo('template_directory'); ?>/images/marker-shadow.png' 
	});  

   var infowindow = new google.maps.InfoWindow({
                content: "Temp Content"
     });

	google.maps.event.addListener(thisMark, 'click', function() {
        infowindow.setContent(this.html);
		infowindow.open(map, this);
	});

  }
}



/* ]]> */</script>




<!-- PAGE CONTENT -->

<div id="content" class="map-page"> <a name="pagecontent" id="pagecontent" ></a> 
    <!-- SECTION TITLE -->
<div id="stitle">
      <p id="dirnav" class="hide"></p>
    <h2><img src="<?php bloginfo('template_directory'); ?>/images/title-were.png" alt="How has PCC touched your life?" width="869" height="60" usemap="#were-map" />
        <map name="were-map" id="were-map">
          <area shape="rect" coords="608,3,867,57" href="/" alt="Add your story!" />
        </map>
    </h2>
      
    <!-- map and add -->
  <div id="story-container">
        <div id="map-canvas" style="width:300px; height:175px;float:right; position:relative; margin-bottom:20px; margin-left:20px;"></div>
        <div id="story">

          <h4>Here's a story from: <?php echo $location; ?></h4>
          <p><em>Added: <?php the_time('l, F jS, Y') ?> <?php edit_post_link('Edit', ' | ', ''); ?></em></p>
          <?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>
          
         <p> -- <em><?php echo $user; ?>, <?php  echo $type; ?> </em></p>  
         
         
          <?php $safeTitle = rawurlencode("A story from ".$location); ?>  
                    <div id="share-block">	
                    <h5>Bookmark, or share this story: <!--<a href="/share/">What are these?</a>--></h5>								
					<ul class="share-buttons"> 
                        <li class="rss"><a class="popup" href="/feed/" title="Subscribe to PCC News with RSS"><span class="text">RSS</span></a></li> 	
                        <li class="twitter"><a class="popup" href="http://twitter.com/home?status=<?php the_permalink();?>%20<?php echo $safeTitle;?>" title="Send a Tweet"><span class="text">Twitter</span></a></li>			
                        <li class="facebook"><a class="popup" href="http://www.facebook.com/share.php?u=<?php the_permalink();?>&amp;t=<?php echo $safeTitle;?>" title="Post on Facebook"><span class="text">Facebook</span></a></li>			
                        <li class="myspace"><a class="popup" href="http://www.myspace.com/Modules/PostTo/Pages/?l=3&amp;u=<?php the_permalink();?>" title="Share on MySpace"><span class="text">MySpace</span></a></li>			
                        <li class="delicious"><a class="popup" href="http://del.icio.us/post?url=<?php the_permalink();?>&amp;title=<?php echo $safeTitle;?>" title="Share on Delicious"><span class="text">Delicious</span></a></li>			
						<li class="stumbleupon"><a class="popup" href="http://www.stumbleupon.com/submit?url=<?php the_permalink();?>" title="Submit to Stumbleupon"><span class="text">Stumble</span></a></li>			
                        <li class="digg"><a class="popup" href="http://digg.com/submit?phase=2&amp;url=<?php the_permalink();?>&amp;<?php echo $safeTitle;?>" title="Digg this Article"><span class="text">Digg</span></a></li>			
                        <li class="google"><a class="popup" href="http://www.google.com/bookmarks/mark?op=edit&amp;bkmk=<?php the_permalink();?>&amp;title=<?php echo $safeTitle;?>" title="Bookmark with Google"><span class="text">Google</span></a></li>			
                        <li class="technorati"><a class="popup" href="http://technorati.com/faves?add=<?php the_permalink();?>" title="Submit to Technorati"><span class="text">Technorati</span></a></li>			
                        <li class="email last"><a href="mailto:?subject=<?php echo $safeTitle;?>&amp;body=<?php the_permalink();?>" title="Email this post to someone"><span class="text">Email</span></a></li>			
                    </ul>
                    </div>
        </div>
        <div style="clear:both;"></div>
      </div>
      
      
    </div>
    <!-- MAIN TEXT -->
    <div id="main">
    <?php $temp_post =  $post; // save ?>
    <div id="more-stories">
    	<h4>More Stories from <?php echo $moretype; ?>:</h4>
        <!--<p>View all stories on the map!</p>-->

		<?php 
		$more_query = get_posts(array('post_type'=>'pcc_map','showposts'=>3,'post_status'=> 'publish','post__not_in' => array($postID),'orderby'=>'rand','type'=>$typeslug)); /* grab all published mapposts */ 
		foreach($more_query as $post){
			setup_postdata($post); 
			$moreid = $post->ID;
			$moreexcerpt = get_the_excerpt();
			$moreuser = get_post_meta($moreid, 'user-name', true);
			if(!$moreuser){ $moreuser = "Anonymous";}	
			
			echo "<div class=\"more-story\"><p><strong><a href=\"".get_permalink()."\">$moreuser</a>:</strong><br/>&quot;" . substr($moreexcerpt,0,120) ."...&quot;</p></div>";
			
		}
		?>

        <div class="clear"></div>
      </div>
      
      <?php 
	  	$post =  $temp_post; // restore  
      	$id = $post->ID;  // reset the post from the main loop
      ?> 
            
	   <?php if ('open' == $post->comment_status) : /* Only add if comments are open */ ?>
       <div id="comment-section" style="width:700px;">
         <?php  comments_template(); ?>
       </div>
       <?php endif; ?>
           
           
           
     </div></div>
   
<!-- END WP SINGLE -->	   
<?php get_footer(); ?> 

<?php endwhile; else: ?>

	<!-- Post Not Found -->
	<?php include("404.php"); ?>

<?php endif; ?>	   